Process and validate the the excel import
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"file_name": "file_name",
"file_data": "file_data"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport"
payload = {
"file_name": "file_name",
"file_data": "file_data"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({file_name: 'file_name', file_data: 'file_data'})
};
fetch('https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => 'file_name',
'file_data' => 'file_data'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport"
payload := strings.NewReader("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}"
response = http.request(request)
puts response.read_body{
"parsed_file_data": {
"parse_errors_lite": [
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
},
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
}
],
"parse_warnings_lite": [
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
},
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
}
]
},
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Process and validate the the excel import
POST
/
api
/
Counterparties
/
ValidateImport
Process and validate the the excel import
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"file_name": "file_name",
"file_data": "file_data"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport"
payload = {
"file_name": "file_name",
"file_data": "file_data"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({file_name: 'file_name', file_data: 'file_data'})
};
fetch('https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => 'file_name',
'file_data' => 'file_data'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport"
payload := strings.NewReader("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Counterparties/ValidateImport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}"
response = http.request(request)
puts response.read_body{
"parsed_file_data": {
"parse_errors_lite": [
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
},
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
}
],
"parse_warnings_lite": [
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
},
{
"tab": "tab",
"item_array": [
"",
""
],
"table_headers": [
"table_headers",
"table_headers"
],
"message": "message",
"error_column": "error_column"
}
]
},
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Success
Available options:
Derivitec.Core.Mediators.Upload.Counterparties.CounterpartyUploadValidationResponse, Derivitec.Core.Mediators Show child attributes
Show child attributes
Example:
{
"parse_errors_lite": [
{
"tab": "tab",
"item_array": ["", ""],
"table_headers": ["table_headers", "table_headers"],
"message": "message",
"error_column": "error_column"
},
{
"tab": "tab",
"item_array": ["", ""],
"table_headers": ["table_headers", "table_headers"],
"message": "message",
"error_column": "error_column"
}
],
"parse_warnings_lite": [
{
"tab": "tab",
"item_array": ["", ""],
"table_headers": ["table_headers", "table_headers"],
"message": "message",
"error_column": "error_column"
},
{
"tab": "tab",
"item_array": ["", ""],
"table_headers": ["table_headers", "table_headers"],
"message": "message",
"error_column": "error_column"
}
]
}
Was this page helpful?